OpenVDB 13.0.0

Loading...
Searching...
No Matches
LevelSetTracker< GridT, InterruptT >::State Struct Reference

Lightweight struct that stores the state of the LevelSetTracker. More...

`#include <openvdb/tools/LevelSetTracker.h>`

## Public Member Functions
| State (math::BiasedGradientScheme s=math::HJWENO5_BIAS, math::TemporalIntegrationScheme t=math::TVD_RK1, int n=static_cast< int >(LEVEL_SET_HALF_WIDTH), int g=1)

## Public Attributes
math::BiasedGradientScheme | spatialScheme
math::TemporalIntegrationScheme | temporalScheme
int | normCount
int | grainSize

## Detailed Description

template<typename GridT, typename InterruptT = util::NullInterrupter>
struct openvdb::v13_0::tools::LevelSetTracker< GridT, InterruptT >::State

Lightweight struct that stores the state of the LevelSetTracker.

## Constructor & Destructor Documentation

## ◆ State()

template<typename GridT, typename InterruptT = util::NullInterrupter>

State | ( | math::BiasedGradientScheme | s = math::HJWENO5_BIAS,
|  | math::TemporalIntegrationScheme | t = math::TVD_RK1,
|  | int | n = static_cast<int>(LEVEL_SET_HALF_WIDTH),
|  | int | g = 1 )
| inline

## Member Data Documentation

## ◆ grainSize

template<typename GridT, typename InterruptT = util::NullInterrupter>

int grainSize

## ◆ normCount

template<typename GridT, typename InterruptT = util::NullInterrupter>

int normCount

## ◆ spatialScheme

template<typename GridT, typename InterruptT = util::NullInterrupter>

math::BiasedGradientScheme spatialScheme

## ◆ temporalScheme

template<typename GridT, typename InterruptT = util::NullInterrupter>

math::TemporalIntegrationScheme temporalScheme